PIRL.TreeTable

## Class AbstractTreeTableModel

- java.lang.Object
- - PIRL.TreeTable.AbstractTreeTableModel

All Implemented Interfaces:
  TreeModel, TreeTableModel

    public abstract class AbstractTreeTableModel
    extends Object
    implements TreeTableModel

### Field Summary

Fields
`protected EventListenerList` `listenerList`
`protected Object` `root`

### Constructor Summary

Constructors
Constructor and Description
`AbstractTreeTableModel(Object root)`

### Method Summary

Methods
`void` `addTreeModelListener(TreeModelListener listener)`
`protected void` `fireTreeNodesChanged(Object source, Object[] path, int[] childIndices, Object[] children)` Notify all listeners that have registered interest for notification on this event type.
`protected void` `fireTreeNodesInserted(Object source, Object[] path, int[] childIndices, Object[] children)` Notify all listeners that have registered interest for notification on this event type.
`protected void` `fireTreeNodesRemoved(Object source, Object[] path, int[] childIndices, Object[] children)` Notify all listeners that have registered interest for notification on this event type.
`protected void` `fireTreeStructureChanged(Object source, Object[] path, int[] childIndices, Object[] children)` Notify all listeners that have registered interest for notification on this event type.
`Class` `getColumnClass(int column)` Returns the type for column number `column`.
`int` `getIndexOfChild(Object parent, Object child)`
`Object` `getRoot()`
`boolean` `isCellEditable(Object node, int column)` By default, only the column with the Tree in it is editable.
`boolean` `isLeaf(Object node)`
`void` `removeTreeModelListener(TreeModelListener listener)`
`void` `setValueAt(Object aValue, Object node, int column)` Sets the value for node `node`, at column number `column`.
`void` `valueForPathChanged(TreePath path, Object newValue)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface PIRL.TreeTable.TreeTableModel

`getColumnCount, getColumnName, getValueAt`

### Methods inherited from interface javax.swing.tree.TreeModel

`getChild, getChildCount`

### Field Detail

#### root

    protected Object root

#### listenerList

    protected EventListenerList listenerList

### Constructor Detail

#### AbstractTreeTableModel

    public AbstractTreeTableModel(Object root)

### Method Detail

#### getRoot

    public Object getRoot()

Specified by:
  `getRoot` in interface `TreeModel`

#### isLeaf

    public boolean isLeaf(Object node)

Specified by:
  `isLeaf` in interface `TreeModel`

#### valueForPathChanged

    public void valueForPathChanged(TreePath path,
                           Object newValue)

Specified by:
  `valueForPathChanged` in interface `TreeModel`

#### getIndexOfChild

    public int getIndexOfChild(Object parent,
                      Object child)

Specified by:
  `getIndexOfChild` in interface `TreeModel`

#### addTreeModelListener

    public void addTreeModelListener(TreeModelListener listener)

Specified by:
  `addTreeModelListener` in interface `TreeModel`

#### removeTreeModelListener

    public void removeTreeModelListener(TreeModelListener listener)

Specified by:
  `removeTreeModelListener` in interface `TreeModel`

#### fireTreeNodesChanged

    protected void fireTreeNodesChanged(Object source,
                            Object[] path,
                            int[] childIndices,
                            Object[] children)

Notify all listeners that have registered interest for notification on this event type. The event instance is lazily created using the parameters passed into the fire method.

See Also:
  `EventListenerList`

#### fireTreeNodesInserted

    protected void fireTreeNodesInserted(Object source,
                             Object[] path,
                             int[] childIndices,
                             Object[] children)

Notify all listeners that have registered interest for notification on this event type. The event instance is lazily created using the parameters passed into the fire method.

See Also:
  `EventListenerList`

#### fireTreeNodesRemoved

    protected void fireTreeNodesRemoved(Object source,
                            Object[] path,
                            int[] childIndices,
                            Object[] children)

Notify all listeners that have registered interest for notification on this event type. The event instance is lazily created using the parameters passed into the fire method.

See Also:
  `EventListenerList`

#### fireTreeStructureChanged

    protected void fireTreeStructureChanged(Object source,
                                Object[] path,
                                int[] childIndices,
                                Object[] children)

Notify all listeners that have registered interest for notification on this event type. The event instance is lazily created using the parameters passed into the fire method.

See Also:
  `EventListenerList`

#### getColumnClass

    public Class getColumnClass(int column)

Description copied from interface: `TreeTableModel`
Returns the type for column number `column`.

Specified by:
  `getColumnClass` in interface `TreeTableModel`

#### isCellEditable

    public boolean isCellEditable(Object node,
                         int column)

By default, only the column with the Tree in it is editable. Making this column editable causes the JTable to forward mouse and keyboard events in the Tree column to the underlying JTree.

Specified by:
  `isCellEditable` in interface `TreeTableModel`

#### setValueAt

    public void setValueAt(Object aValue,
                  Object node,
                  int column)

Description copied from interface: `TreeTableModel`
Sets the value for node `node`, at column number `column`.

Specified by:
  `setValueAt` in interface `TreeTableModel`